package com.hotent.baseInfo.dao;

import com.hotent.baseInfo.model.CostDocumentTemplateFile;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 监审文书文件内容表 Mapper 接口
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-10-14
 */
public interface CostDocumentTemplateFileDao extends BaseMapper<CostDocumentTemplateFile> {

    int tableExists(@Param("tableName") String tableName);

    int colExists( @Param("tableName")String tableName, @Param("colName") String colName);


    //获取字段值
    String getColValue(@Param("tableName") String tableName,@Param("colName") String colName,@Param("whereName") String whereName,@Param("whereValue") String whereValue);
    //获取字段值
    String getColValue2(@Param("tableName") String tableName);

    List<Map<String, Object>> getSurveyTemplate(@Param("id") String id);
}
